GET restapi/personal/courses/{courseId}/participantgroups/v1?pageIndex={pageIndex}&pageSize={pageSize}&search={search}
Retrieves a paginated list of participant groups in course.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| courseId |
Course Id |
integer |
Required |
| pageIndex |
Page index for pagination |
integer |
Default value is 0 |
| pageSize |
Number of items per page |
integer |
Default value is 100 |
| search |
Search filter |
string |
None. |
Body Parameters
None.
Response Information
Resource Description
Itsolutions.Itslearning.Web.RestApi.Personal.ContentAreaSettings.Models.ParticipantsGroupModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Groups |
The array of participant group items. |
Collection of Itsolutions.Itslearning.Web.RestApi.Personal.ContentAreaSettings.Models.ParticipantGroupItemModel |
None. |
| TotalCount |
The total count of groups available. |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"Groups": [
{
"GroupId": 1,
"Title": "sample string 2"
},
{
"GroupId": 1,
"Title": "sample string 2"
}
],
"TotalCount": 1
}
application/xml, text/xml
Sample:
<ParticipantsGroupModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.ContentAreaSettings.Models">
<Groups>
<ParticipantGroupItemModel>
<GroupId>1</GroupId>
<Title>sample string 2</Title>
</ParticipantGroupItemModel>
<ParticipantGroupItemModel>
<GroupId>1</GroupId>
<Title>sample string 2</Title>
</ParticipantGroupItemModel>
</Groups>
<TotalCount>1</TotalCount>
</ParticipantsGroupModel>